Bug 117528 - rpm segfaults and stalls installing kernel package
rpm segfaults and stalls installing kernel package
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-04 17:48 EST by Ryan Lovett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 06:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Lovett 2004-03-04 17:48:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040122 Galeon/1.3.13 (Debian package 1.3.13-2)

Description of problem:
# rpm -Uvh kernel-smp-2.4.22-1.2174.nptl.x86_64.rpm
error: failed to stat proc: No such file or directory
Preparing...               
########################################### [100%]
   1:kernel-smp            
########################################### [100%]
/sbin/mkkerneldoth: line 9: 14266 Segmentation fault      rpm -q
kernel$KERNEL_TYPE-$KERNEL_RELEASE >/dev/null 2>&1
 
RPM stalls here. The command prompt doesn't return. /proc exists and
is mounted. Here's strace attaching to rpm:

# strace -p 14248
Process 14248 attached - interrupt to quit
futex(0x2a955fbf40, FUTEX_WAIT, 0, NULL



Version-Release number of selected component (if applicable):
RPM version 4.2.1

How reproducible:
Didn't try

Steps to Reproduce:
1. wget http://.../kernel-smp-2.4.22-1.2174.nptl.x86_64.rpm
2. rpm -Uvh kernel-smp-2.4.22-1.2174.nptl.x86_64.rpm
    

Actual Results:  rpm froze and didn't return.

Expected Results:  rpm should not have segfaulted within mkkerneldoth.

Additional info:

This was the first package I tried to install after the initial
installation of test 1 of Fedora Core 1 for AMD64.
Comment 1 Jeff Johnson 2004-03-19 06:30:23 EST
A futex hang is probably a stale lock. Try
    rm -f /var/lib/rpm/__db*
to fix.

Note You need to log in before you can comment on or make changes to this bug.